Bug 1383412 - AVX2 version is never built
Summary: AVX2 version is never built
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: elpa
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-10 14:32 UTC by Dave Love
Modified: 2017-06-28 23:19 UTC (History)
1 user (show)

Fixed In Version: elpa-2015.11.001-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-28 23:19:12 UTC


Attachments (Terms of Use)
fix for -mavx2 (1.30 KB, text/plain)
2016-10-10 14:32 UTC, Dave Love
no flags Details

Description Dave Love 2016-10-10 14:32:28 UTC
Created attachment 1208887 [details]
fix for -mavx2

Description of problem:

There's a logic error in the patch for configure.ac that means -mavx2 isn't used when the compiler supports it.  I fixed it with the attached patch for the patch.

Version-Release number of selected component (if applicable):

2015.11.001-1 (current rpms/elpa checkout)

Comment 1 Fedora Update System 2017-06-12 12:08:15 UTC
elpa-2015.11.001-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a1372d77b

Comment 2 Fedora Update System 2017-06-12 13:42:07 UTC
openmx-3.8.1-9.el7 elpa-2015.11.001-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9161cc56d2

Comment 3 Dominik 'Rathann' Mierzejewski 2017-06-12 13:57:18 UTC
Actually, this wasn't fixed in -5. -6 is building with the correct fix.

Comment 4 Fedora Update System 2017-06-13 03:48:34 UTC
elpa-2015.11.001-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a1372d77b

Comment 5 Fedora Update System 2017-06-13 10:12:14 UTC
elpa-2015.11.001-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a1372d77b

Comment 6 Fedora Update System 2017-06-14 01:34:55 UTC
elpa-2015.11.001-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a1372d77b

Comment 7 Fedora Update System 2017-06-14 07:49:40 UTC
elpa-2015.11.001-6.el7, openmx-3.8.1-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9161cc56d2

Comment 8 Fedora Update System 2017-06-17 19:42:20 UTC
elpa-2015.11.001-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-06-28 23:19:12 UTC
elpa-2015.11.001-6.el7, openmx-3.8.1-9.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.